Skip to content
Snippets Groups Projects
Commit c89c1e5f authored by Oz Linden's avatar Oz Linden
Browse files

correct paths for building llphysicsextensions_tpv package

parent 07a36b1d
No related branches found
No related tags found
No related merge requests found
...@@ -114,18 +114,17 @@ package_llphysicsextensions_tpv() ...@@ -114,18 +114,17 @@ package_llphysicsextensions_tpv()
tpv_status=0 tpv_status=0
if [ "$variant" = "Release" ] if [ "$variant" = "Release" ]
then then
llpetpvcfg=$build_dir/packages/llphysicsextensions/autobuild-tpv.xml tpvconfig=$(native_path "$build_dir/packages/llphysicsextensions/autobuild-tpv.xml")
"$autobuild" build --quiet --config-file $llpetpvcfg -c Tpv "$autobuild" build --quiet --config-file "$tpvconfig" -c Tpv || fatal "failed to build llphysicsextensions_tpv"
# capture the package file name for use in upload later... # capture the package file name for use in upload later...
PKGTMP=`mktemp -t pgktpv.XXXXXX` PKGTMP=`mktemp -t pgktpv.XXXXXX`
trap "rm $PKGTMP* 2>/dev/null" 0 trap "rm $PKGTMP* 2>/dev/null" 0
"$autobuild" package --quiet --config-file $llpetpvcfg --results-file "$(native_path $PKGTMP)" "$autobuild" package --quiet --config-file "$tpvconfig" --results-file "$(native_path $PKGTMP)" || fatal "failed to package llphysicsextensions_tpv"
tpv_status=$? tpv_status=$?
if [ -r "${PKGTMP}" ] if [ -r "${PKGTMP}" ]
then then
cat "${PKGTMP}" >> "$build_log" . "${PKGTMP}" # sets autobuild_package_{name,filename,md5}
eval $(cat "${PKGTMP}") # sets autobuild_package_{name,filename,md5}
autobuild_package_filename="$(shell_path "${autobuild_package_filename}")" autobuild_package_filename="$(shell_path "${autobuild_package_filename}")"
echo "${autobuild_package_filename}" > $build_dir/llphysicsextensions_package echo "${autobuild_package_filename}" > $build_dir/llphysicsextensions_package
fi fi
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment